program EditarAgenda;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes, Sysutils;

type
TRegistro = record
  Nombre: String[32];
  Telefono: String[9];
end;
var
 Registro: TRegistro;
  Archivo: File of TRegistro;

begin
  AssignFile(Archivo,'agenda.dat');
  Writeln('Escribiendo un nuevo registro... ', sLineBreak);
  {$I+}
  try
   Reset(Archivo);   {apertura L/E}
   Seek(Archivo, filesize (archivo)); // ultimo registro
   Registro.Nombre:= 'David Lopez';
   Registro.Telefono:= '732201464';
   Write(Archivo,Registro); // Escritura nuevo registro
   CloseFile(Archivo);
  except
    on E: EInOutError do
    begin
       Writeln('Ha ocurrido un error. Detalles: '+
				  E.ClassName+'/'+E.Message, sLineBreak);
    end;
end;

 Writeln ('Archivo actualizado... ');
  {$IFDEF WINDOWS}
    ReadLn;
  {$ENDIF}
end.


